<% if @results.any? %>
  <div class="card --table">
    <div class="card__content border">
      <table class="ui table striped unstackable referral">
        <thead>
          <tr>
            <th class="center aligned wide"><%= t('report.number_label')%></th>
            <th class="center aligned wide"><%= t('report.pid_label')%></th>
            <th class="center aligned two wide"><%= t('report.pt_name_label')%></th>
            <th class="center aligned three wide"><%= t('report.pt_type_label')%></th>
            <th class="center aligned wide"><%= t('report.send_date_label')%></th>
            <th class="center aligned wide"><%= t('report.record_date_label')%></th>
            <th class="center aligned two wide"><%= t('report.refer_out_label')%></th>
            <th class="center aligned two wide"><%= t('report.provider_label')%></th>
            <th class="center aligned two wide"><%= t('report.department_label')%></th>
          </tr>
        </thead>
        <tbody>
          <% @results.each_with_index do |result, index| %>
            <tr>
              <td class="center aligned">
                <%= number_index_of_page index, @searchable.page %>
              </td>
              <td><%= result.pid %></td>
              <td><%= result.pt_name %></td>
              <td class="center aligned"><%= result.pt_type %></td>
              <td class="center aligned"><%= revert_date result.send_date %></td>
              <td class="center aligned"><%= revert_date result.record_date %></td>
              <td><%= result.refer_out %></td>
              <td><%= result.provider %></td>
              <td><%= result.department %></td>
            </tr>
          <% end %>
        </tbody>
      </table>
    </div>
    
    <div class="ui main container reports">
      <div class="card__footer">
        <div class="pagination">
          <%= paginate @results %>
        </div>
        <div class="btn-group --right">
          <%= link_to parameter_reports_referral_patients_details_path(
          :report_type => @searchable.report_type,
          :format => "xlsx",
          :searchable => @searchable,
          :hospital_select =>  @searchable&.hospital_select,
          :roles => @roles
          ), class: "ui button --submit" do %>
            <i class="file excel icon"></i> <%= t('report.export_excel_label') %>
          <% end %>
        </div>
      </div>
    </div>
  </div>
<% else %>
  <%= render 'reports/empty' %>
<% end %>
